Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #437

Win32: Follow .Ink links
April 24, 2014 08:29 - Umid Almasov

Status: Rejected
Priority: Major
Assignee:

Category: core

Target version:

Affects version: 3.5

Start date:
Due date:

% Done:

Estimated time:

April 24, 2014

0%
0.00 hour

Description

Audacious does not properly handle links (.Ink files)in Add Files dialog. It adds them to playlist, instead of opening them.

History

#1 - April 24, 2014 18:54 - John Lindgren

Is there a reason not to use real symbolic links instead? .Ink files are a bit obsolete now that NTFS is becoming more capable.

#2 - April 25, 2014 06:16 - Umid Almasov

John Lindgren wrote:

Is there a reason not to use real symbolic links instead? .Ink files are a bit obsolete now that NTFS is becoming more capable.

How | can use symbolic links in Windows?

#3 - April 25, 2014 13:58 - John Lindgren

https://www.google.com/search?g=how+to+create+symbolic+link+windows

#4 - April 29, 2014 18:52 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from Win32: Audacious does not properly handle links (.Ink files) to Win32: Follow .Ink links

- Category set to core

- Target version deleted (3.5.1)
- Affects version 3.5 added

- Affects version deleted (3.5.1)

#5 - May 01, 2014 10:08 - Carlo Bramini

Umid Almasov wrote:

Audacious does not properly handle links (.Ink files)in Add Files dialog. It adds them to playlist, instead of opening them.

In my opinion, this does not seem to be exactly an issue or a feature to be added in Audacious.

The problem is that GLib never uses ShellAPI interfaces, while they should be called instead of the usual WinAPI for certain tasks.
https://www.google.com/search?q=how+to+create+symbolic+link+windows

| tried to do a quick search and it also seems that this behaviour is known by long time:

https://bugzilla.gnome.org/show_bug.cgi?id=163544

#6 - July 10, 2016 06:54 - John Lindgren

- Status changed from New to Rejected

There are currently no plans to implement any special support for .Ink files in Audacious.
